var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import cn from 'classnames';

import './index.css';

var Popup = function Popup(_ref) {
  var closeButtonTitle = _ref.closeButtonTitle,
      onClose = _ref.onClose,
      props = _objectWithoutProperties(_ref, ['closeButtonTitle', 'onClose']);

  return React.createElement(
    'div',
    { className: 'popup text-body' },
    React.createElement('button', { title: closeButtonTitle, type: 'button', className: 'popup-close-bg', onClick: onClose }),
    React.createElement(
      'div',
      { className: 'popup-content' },
      React.createElement('div', _extends({}, props, { className: cn('popup-body', props.className) }))
    )
  );
};

Popup.propTypes = process.env.NODE_ENV !== "production" ? {
  closeButtonTitle: PropTypes.string,
  onClose: PropTypes.func
} : {};

Popup.defaultProps = {
  closeButtonTitle: 'Close',
  onClose: function onClose() {}
};

export default Popup;